// Decompiled by DJ v3.10.10.93 Copyright 2007 Atanas Neshkov  Date: 8/25/2008 3:00:12 PM
// Home Page: http://members.fortunecity.com/neshkov/dj.html  http://www.neshkov.com/dj.html - Check often for new version!
// Decompiler options: packimports(3) 
// Source File Name:   ChainedInstanceFactory.java

package net.sf.beanrunner.factory.impl;


import java.util.Iterator;
import java.util.NoSuchElementException;

import net.sf.beanrunner.factory.InstanceFactory;

public class ChainedInstanceFactory
    implements InstanceFactory
{
    private static class ChainedIterator
        implements Iterator 
    {

        private void alignIndex()
        {
            for(; index < iters.length && !iters[index].hasNext(); index++);
        }

        public boolean hasNext()
        {
            boolean rtnval = false;
            if(index < iters.length)
                rtnval = iters[index].hasNext();
            return rtnval;
        }

        public Object next()
        {
            Object rtnval;
            if(index < iters.length)
            {
                rtnval = iters[index].next();
                alignIndex();
            } else
            {
                throw new NoSuchElementException();
            }
            return rtnval;
        }

        public void remove()
        {
            throw new UnsupportedOperationException();
        }

        private Iterator iters[];
        private int index;

        public ChainedIterator(InstanceFactory a, InstanceFactory b)
            throws Exception
        {
            index = 0;
            iters = new Iterator[2];
            iters[0] = a.iterator();
            iters[1] = b.iterator();
            alignIndex();
        }
    }

    private static class IteratorFactory
    {

        public Iterator iterator()
            throws Exception
        {
            return new ChainedIterator(a, b);
        }

        private InstanceFactory a;
        private InstanceFactory b;

        public IteratorFactory(InstanceFactory first, InstanceFactory second)
        {
            a = first;
            b = second;
        }
    }


    public ChainedInstanceFactory(InstanceFactory first, InstanceFactory second)
    {
        factory = new IteratorFactory(first, second);
    }

    public Iterator iterator()
        throws Exception
    {
        return factory.iterator();
    }

    private IteratorFactory factory;
}